---
title: RTCPeerConnection.setIdentityProvider()
slug: Web/API/RTCPeerConnection/setIdentityProvider
tags:
  - Experimental
  - Method
  - RTCPeerConnection
  - Reference
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The <code><strong>RTCPeerConnection.setIdentityProvider()</strong></code> method sets the Identity Provider (IdP) to the triplet given in parameter: its name, the protocol used to communicate with it (optional) and an optional username. The IdP will be used only when an assertion is needed.</p>

<p>If the {{domxref("RTCPeerConnection.signalingState", "signalingState")}} is set to <code>"closed"</code>, an <code>InvalidStateError</code> is raised.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><em>pc</em>.setIdentityProvider(<em>domainname</em> [, <em>protocol</em>] [, <em>username</em>]);
</code></pre>

<p><em>There is no return value for this method.</em></p>

<h3 id="Example">Parameters</h3>

<dl>
 <dt><em>domainname</em></dt>
 <dd>Is a {{domxref("DOMString")}} is the domain name where the IdP is.</dd>
 <dt><em>protocol</em> {{optional_Inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the protocol used to communicate with the IdP. It defaults to <code>"default"</code> and is used to determine the URL where the IdP is listening.</dd>
 <dt><em>username</em> {{optional_Inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the username associated with the IdP.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var pc = new PeerConnection();

pc.setIdentityAssertion("developer.mozilla.org");
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Identity', '#dfn-setidentityprovider', 'RTCPeerConnection.setIdentityProvider()') }}</td>
   <td>{{ Spec2('WebRTC Identity') }}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.setIdentityProvider")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
</ul>
